API ReferenceAlerts
Get Alert Detail
One alert's full detail, dispatched on source ('legacy' or 'v2').
Authorization
bearerAuth user, superuser, admin, superadmin, readonlyAuthorization<token>
In: header
Scope: user, superuser, admin, superadmin, readonly
Path Parameters
source*string
The source.
id*string
The ID.
Response Body
application/json
curl -X GET "https://example.com/v1/alerts/string/string"{ "source": "v2", "id": "string", "name": "string", "description": "string", "isActive": true, "alertType": "string", "params": { "property1": null, "property2": null }, "personaIds": [ "string" ], "metrics": [ { "metricId": 0.1, "machineId": 0.1, "metricName": "string", "rowId": 0.1 } ], "aggregationFunction": "min", "windowSize": 0.1, "emitTimeInterval": 0.1, "openM": 0.1, "openN": 0.1, "notifyOnOpen": true, "notifyOnResolve": true, "resetOnIneligible": true}